mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Runtime.InteropServices.ComVisible(true)

Call the method on classes that implement the interface to obtain the type code for an instance of that class.

Otherwise, call an object's method to obtain its object, then call the Type object's method to obtain the object's type code.

Specifies the type of an object.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.TypeCode To be added

  A simple type representing Boolean values of true or false.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.TypeCode To be added

  An integral type representing unsigned 8-bit integers with values between 0 and 255.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.TypeCode To be added

  An integral type representing unsigned 16-bit integers with values between 0 and 65535. The set of possible values for the type corresponds to the Unicode character set.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.TypeCode To be added

  A type representing a date and time value.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.TypeCode To be added

  A database null (column) value.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.TypeCode To be added

  A simple type representing values ranging from 1.0 x 10 -28 to approximately 7.9 x 10 28 with 28-29 significant digits.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.TypeCode To be added

  A floating point type representing values ranging from approximately 5.0 x 10 -324 to 1.7 x 10 308 with a precision of 15-16 digits.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.TypeCode To be added

  A null reference.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.TypeCode To be added

  An integral type representing signed 16-bit integers with values between -32768 and 32767.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.TypeCode To be added

  An integral type representing signed 32-bit integers with values between -2147483648 and 2147483647.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.TypeCode To be added

  An integral type representing signed 64-bit integers with values between -9223372036854775808 and 9223372036854775807.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.TypeCode To be added

  A general type representing any reference or value type not explicitly represented by another TypeCode.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.TypeCode To be added

  An integral type representing signed 8-bit integers with values between -128 and 127.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.TypeCode To be added

  A floating point type representing values ranging from approximately 1.5 x 10 -45 to 3.4 x 10 38 with a precision of 7 digits.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.TypeCode To be added

  A sealed class type representing Unicode character strings.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.TypeCode To be added

  An integral type representing unsigned 16-bit integers with values between 0 and 65535.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.TypeCode To be added

  An integral type representing unsigned 32-bit integers with values between 0 and 4294967295.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.TypeCode To be added

  An integral type representing unsigned 64-bit integers with values between 0 and 18446744073709551615.